SegmentedFile.Builder (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.util
Class SegmentedFile.Builder

    java.lang.Object
      org.apache.cassandra.io.util.SegmentedFile.Builder

Direct Known Subclasses:
  BufferedSegmentedFile.Builder, CompressedSegmentedFile.Builder

Enclosing class:
  SegmentedFile

    public abstract static class SegmentedFile.Builder

extends java.lang.Object

Collects potential segmentation points in an underlying file, and builds a SegmentedFile to represent it.

Constructor Summary
`SegmentedFile.Builder()`

Method Summary
`abstract void` | `addPotentialBoundary(long boundary)` Adds a position that would be a safe place for a segment boundary in the file.
`abstract SegmentedFile` | `complete(java.lang.String path)` Called after all potential boundaries have been added to apply this Builder to a concrete file on disk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentedFile.Builder

    public SegmentedFile.Builder()

Method Detail

### addPotentialBoundary

    public abstract void addPotentialBoundary(long boundary)

  Adds a position that would be a safe place for a segment boundary in the file. For a block/row based file format, safe boundaries are block/row edges.

  Parameters:
    `boundary` - The absolute position of the potential boundary in the file.

### complete

    public abstract SegmentedFile complete(java.lang.String path)

  Called after all potential boundaries have been added to apply this Builder to a concrete file on disk.

  Parameters:
    `path` - The file on disk.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation